Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class TargetNode

    java.lang.Object
      org.exist.client.xacml.AbstractTreeNode
          org.exist.client.xacml.TargetNode

All Implemented Interfaces:
  XACMLTreeNode

public class TargetNode
extends AbstractTreeNode

Constructor Summary
`TargetNode(PolicyElementNode parent)`
`TargetNode(PolicyElementNode parent, com.sun.xacml.Target target)`

Method Summary
`void` | `commit(boolean deep)` Commits the state of this element.
`com.sun.xacml.Target` | `getTarget()`
`boolean` | `isModified(boolean deep)` Returns true if this element has been modified.
`boolean` | `isTargetModified()`
`void` | `revert(boolean deep)` Reverts the state of this element to the last commit.
`java.lang.String` | `serialize(boolean indent)` Serializes this node to a `String`
`void` | `setTarget(com.sun.xacml.Target target)`
`java.lang.String` | `toString()`

Methods inherited from class org.exist.client.xacml.AbstractTreeNode
`getParent, setModified`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TargetNode

    public TargetNode(PolicyElementNode parent)

### TargetNode

    public TargetNode(PolicyElementNode parent,
                      com.sun.xacml.Target target)

Method Detail

### toString

    public java.lang.String toString()

### getTarget

    public com.sun.xacml.Target getTarget()

### setTarget

    public void setTarget(com.sun.xacml.Target target)

### isModified

    public boolean isModified(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Returns true if this element has been modified. If deep is true, then this takes into account the status of any descendants.

  Specified by:
    `isModified` in interface `XACMLTreeNode`
  Overrides:
    `isModified` in class `AbstractTreeNode`

### isTargetModified

    public boolean isTargetModified()

### commit

    public void commit(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Commits the state of this element. This state will be the state reverted to when revert is called. If deep is true, then this includes any descendants.

  Specified by:
    `commit` in interface `XACMLTreeNode`
  Overrides:
    `commit` in class `AbstractTreeNode`

### revert

    public void revert(boolean deep)

  Description copied from interface: `XACMLTreeNode`
  Reverts the state of this element to the last commit. If deep is true, then this includes any descendants.

  Specified by:
    `revert` in interface `XACMLTreeNode`
  Overrides:
    `revert` in class `AbstractTreeNode`

### serialize

    public java.lang.String serialize(boolean indent)

  Description copied from interface: `XACMLTreeNode`
  Serializes this node to a `String`

  Parameters:
    `indent` - Whether or not the XML should be indented
  Returns:
    The string representation of this node

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.